#pragma once
#include "Musiker.h"
#include "Musikinstrument.h"
#include <string>

class Musiker {
private:
  std::string name;
  const Musikinstrument instrument;

public:
  Musiker();
  Musiker(std::string iname);
  virtual ~Musiker();
  void weiseInstrumentZU(const Musikinstrument *instrument);
  void spielen();
  std::string liefereName();
};
